Skip to main content
`Ctrl`+`K`

# VecKokkosResetArray

Resets a vector to use its default memory. Call this after the use of `VecKokkosPlaceArray()`.

## Synopsis

    PetscErrorCode VecKokkosResetArray(Vec v)

Not Collective

## Input Parameter

- v - the vector

## Notes

After the call, the original array placed in with `VecKokkosPlaceArray()` will contain the latest value of the vector. Note that device kernels are asynchronous. Users are responsible to sync the device if they wish to have immediate access to the data in the array. Also, after the call, `v` will contain whatever data before `VecKokkosPlaceArray()`.

## See Also

Vectors and Parallel Data, `Vec`, `VecGetArray()`, `VecRestoreArray()`, `VecReplaceArray()`, `VecKokkosPlaceArray()`

## Level

developer

## Location

src/vec/vec/impls/seq/kokkos/veckok.kokkos.cxx

Index of all Vec routines
Table of Contents for all manual pages
Index of all manual pages